summaryrefslogtreecommitdiff
path: root/tests/backslash-s-vs-invalid-multitype
diff options
context:
space:
mode:
Diffstat (limited to 'tests/backslash-s-vs-invalid-multitype')
-rwxr-xr-xtests/backslash-s-vs-invalid-multitype26
1 files changed, 26 insertions, 0 deletions
diff --git a/tests/backslash-s-vs-invalid-multitype b/tests/backslash-s-vs-invalid-multitype
new file mode 100755
index 0000000..a77b6a5
--- /dev/null
+++ b/tests/backslash-s-vs-invalid-multitype
@@ -0,0 +1,26 @@
+#! /bin/sh
+# Ensure that neither \s nor \S matches an invalid multibyte character.
+#
+# Copyright (C) 2013-2016 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+require_en_utf8_locale_
+
+LC_ALL=en_US.UTF-8
+export LC_ALL
+
+printf '\202\n' > in || framework_failure_
+
+fail=0
+grep '^\S$' in > out-S && fail=1
+compare /dev/null out-S || fail=1
+
+grep '^\s$' in > out-s && fail=1
+compare /dev/null out-s || fail=1
+
+Exit $fail